org.apache.xmlgraphics.xmp

## Class XMPSchemaRegistry

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPSchemaRegistry

-     public final class XMPSchemaRegistry
      extends java.lang.Object

  This class is a registry of XMP schemas. It's implemented as a singleton.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSchema(XMPSchema schema)` Adds an XMP schema to the registry.
    `static XMPSchemaRegistry` | `getInstance()`
    `XMPSchema` | `getSchema(java.lang.String namespace)` Returns the XMP schema object for a given namespace.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static XMPSchemaRegistry getInstance()

      Returns:
        the singleton instance of the XMP schema registry.

    - #### addSchema

          public void addSchema(XMPSchema schema)

      Adds an XMP schema to the registry.
      Parameters:
        `schema` - the XMP schema

    - #### getSchema

          public XMPSchema getSchema(java.lang.String namespace)

      Returns the XMP schema object for a given namespace.
      Parameters:
        `namespace` - the namespace URI
      Returns:
        the XMP schema or null if none is available

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.